<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
  <div class="container">
    <div class="d-none d-sm-block">
      <a
        class="navbar-brand"
        routerLink="/"
        [routerLinkActive]="['active']"
        [routerLinkActiveOptions]="{ exact: true }"
        >{{ title }}</a
      >
    </div>
    <div class="d-sm-none">
      <a
        (click)="isNavbarCollapsed = true"
        class="navbar-brand"
        routerLink="/"
        [routerLinkActive]="['active']"
        [routerLinkActiveOptions]="{ exact: true }"
        >{{ title }}</a
      >
    </div>

    <button
      class="navbar-toggler hidden-sm-up"
      type="button"
      (click)="isNavbarCollapsed = !isNavbarCollapsed"
      data-target="#navbarsDefault"
      aria-controls="navbarsDefault"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <span class="navbar-toggler-icon"></span>
    </button>
    <div
      [ngbCollapse]="isNavbarCollapsed"
      class="collapse navbar-collapse"
      id="navbarsDefault"
    >
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <div class="d-none d-sm-block">
            <a
              class="nav-link"
              routerLink="/overview"
              [routerLinkActive]="['active']"
              [routerLinkActiveOptions]="{ exact: true }"
              >Uitgaven</a
            >
          </div>
          <div class="d-sm-none">
            <a
              (click)="isNavbarCollapsed = !isNavbarCollapsed"
              class="nav-link"
              routerLink="/overview"
              [routerLinkActive]="['active']"
              [routerLinkActiveOptions]="{ exact: true }"
              >Uitgaven</a
            >
          </div>
        </li>
        <li class="nav-item">
          <div class="d-none d-sm-block">
            <a
              class="nav-link"
              routerLink="/store"
              [routerLinkActive]="['active']"
              [routerLinkActiveOptions]="{ exact: true }"
              >Winkels</a
            >
          </div>
          <div class="d-sm-none">
            <a
              (click)="isNavbarCollapsed = !isNavbarCollapsed"
              class="nav-link"
              routerLink="/store"
              [routerLinkActive]="['active']"
              [routerLinkActiveOptions]="{ exact: true }"
              >Winkels</a
            >
          </div>
        </li>
        <li class="nav-item">
          <div class="d-none d-sm-block">
            <a
              class="nav-link"
              routerLink="/about"
              [routerLinkActive]="['active']"
              [routerLinkActiveOptions]="{ exact: true }"
              >Over website</a
            >
          </div>
          <div class="d-sm-none">
            <a
              (click)="isNavbarCollapsed = !isNavbarCollapsed"
              class="nav-link"
              routerLink="/about"
              [routerLinkActive]="['active']"
              [routerLinkActiveOptions]="{ exact: true }"
              >Over website</a
            >
          </div>
        </li>
      </ul>

      <ul class="navbar-nav">
        <li class="nav-item">
          <div class="d-none d-sm-block">
            <div *ngIf="!authService.isLoggedIn()">
              <a
                class="nav-link"
                routerLink="/register"
                [routerLinkActive]="['active']"
                >Registeren</a
              >
            </div>
          </div>
          <div class="d-sm-none">
            <div *ngIf="!authService.isLoggedIn()">
              <a
                (click)="isNavbarCollapsed = !isNavbarCollapsed"
                class="nav-link"
                routerLink="/register"
                [routerLinkActive]="['active']"
                >Registeren</a
              >
            </div>
          </div>
        </li>

        <li class="nav-item">
          <div class="d-none d-sm-block">
            <div *ngIf="!authService.isLoggedIn()">
              <a
                class="nav-link"
                routerLink="/user"
                [routerLinkActive]="['active']"
                >Inloggen</a
              >
            </div>
            <div *ngIf="authService.isLoggedIn()">
              <a
                class="nav-link"
                routerLink="/user"
                [routerLinkActive]="['active']"
                >Account</a
              >
            </div>
          </div>
          <div class="d-sm-none">
            <div *ngIf="!authService.isLoggedIn()">
              <a
                (click)="isNavbarCollapsed = !isNavbarCollapsed"
                class="nav-link"
                routerLink="/login"
                [routerLinkActive]="['active']"
                >Inloggen</a
              >
            </div>
            <div *ngIf="authService.isLoggedIn()">
              <a
                (click)="isNavbarCollapsed = !isNavbarCollapsed"
                class="nav-link"
                routerLink="/account"
                [routerLinkActive]="['active']"
                >Account</a
              >
            </div>
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>
